Get image generation
curl --request GET \
--url https://mvp.tryunsora.com/api/v1/image-generations/{generationId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://mvp.tryunsora.com/api/v1/image-generations/{generationId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://mvp.tryunsora.com/api/v1/image-generations/{generationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"generation": {
"id": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"prompt": "<string>",
"model": "<string>",
"error": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"outputAsset": {},
"thumbnailAsset": {}
}
}{
"error": "<string>",
"success": true,
"code": "<string>",
"message": "<string>"
}Image generator
Get image generation
Fetch one basic image generation by id, including output assets.
GET
/
image-generations
/
{generationId}
Get image generation
Returns the full basic image generation record for the authenticated user.
GET /image-generations/{generationId}
Path parameter
Response
{
"success": true,
"generation": {
"id": "cm123abc",
"status": "COMPLETED",
"prompt": "Product photo on marble surface",
"model": "nano-banana-2",
"error": null,
"createdAt": "2026-06-02T12:00:00.000Z",
"updatedAt": "2026-06-02T12:00:45.000Z",
"outputAsset": { "id": "...", "url": "https://files.tryunsora.com/....png" },
"thumbnailAsset": null
}
}
Example
curl "https://mvp.tryunsora.com/api/v1/image-generations/GENERATION_ID" \
-H "Authorization: Bearer uns_live_YOUR_API_KEY"
Errors
| HTTP | When |
|---|---|
400 | Missing generation id |
401 | Invalid auth |
404 | User or generation not found |
500 | Server error |
⌘I

